<template>
  <div class="container">
    <div class="d-flex justify-content-between align-items-center mb-3">
      <h1 class="display-4 font-weight-bolder">Purchases</h1>
    </div>

<div class="search-filters row">
  <div class="col-md-3">
    <input v-model="search.factoryName" class="form-control" placeholder="Search by Factory Name" @input="filterPurchases">
  </div>
  <div class="col-md-2">
    <input v-model="search.priceMin" class="form-control" type="number" placeholder="Min Price" @input="filterPurchases">
  </div>
  <div class="col-md-2">
    <input v-model="search.priceMax" class="form-control" type="number" placeholder="Max Price" @input="filterPurchases">
  </div>
  <div class="col-md-2">
    <input v-model="search.dateFrom" class="form-control" type="date" placeholder="From Date" @input="filterPurchases">
  </div>
  <div class="col-md-2">
    <input v-model="search.dateTo" class="form-control" type="date" placeholder="To Date" @input="filterPurchases">
  </div>
  <div class="col-md-3">
    <select v-model="sortCriteria" class="form-control" @change="filterPurchases">
      <option value="factoryName">Factory Name</option>
      <option value="price">Price</option>
      <option value="date">Date</option>
    </select>
  </div>
  <div class="col-md-2">
    <select v-model="sortOrder" class="form-control" @change="filterPurchases">
      <option value="asc">Ascending</option>
      <option value="desc">Descending</option>
    </select>
  </div>
</div>


    <table class="table">
      <thead>
        <tr>
          <th scope="col">Purchase ID</th>
          <th scope="col">Product</th>
          <th scope="col">Factory</th>
          <th scope="col">Date</th>
          <th scope="col">Price</th>
          <th scope="col">Customer</th>
          <th scope="col">Status</th>
          <th scope="col">Comment</th>
          <th scope="col">Rating</th>
          <th scope="col">Calculated Points</th>
          <th scope="col">Edit Status</th>
          <th scope="col">Manager</th>
          <th scope="col">Add Comment and Rating</th> <!-- Nova kolona -->
        </tr>
      </thead>
      <tbody>
        <tr v-for="purchase in filteredSortedPurchases" :key="purchase.id">
          <td>{{ purchase.id }}</td>
          <td>
            <ul>
              <li v-for="chocolate in purchase.chocolates" :key="chocolate.chocolateId">
                {{ chocolate.name || 'N/A' }} - {{ chocolate.quantity || 'N/A' }} x {{ chocolate.price || 'N/A' }} RSD
              </li>
            </ul>
          </td>
          <td>{{ purchase.factory }}</td>
          <td>{{ new Date(purchase.dateTime).toLocaleDateString() }}</td>
          <td>{{ purchase.price }}</td>
          <td>{{ purchase.buyer }}</td>
          <td>{{ purchase.status }}</td>
          <td>{{ purchase.comment }}</td>
          <td>{{ purchase.rating }}</td>
          <td>{{ purchase.calculatedPoints }}</td>
          <td>
            <button v-if="isCustomer" class="custom-btn btn-7" @click="openEditStatusModal(purchase)">Edit</button>
          </td>
          <td>
            <!-- Dugme za menadžere -->
            <button v-if="isManager" class="custom-btn btn-7" @click="openManagerModal(purchase)">Edit for Manage</button>
          </td>
          <td>
            <!-- Dugme za dodavanje komentara i ocene -->
          <button v-if="purchase.status === 'Odobreno' && isCustomer" class="custom-btn btn-7" @click="openCommentModal(purchase)">Add</button>
          </td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <td v-if="isCustomer" colspan="9" class="text-right font-weight-bold">Total Calculated Points:</td>
          <td v-if="isCustomer" >{{ totalCalculatedPoints }}</td>
          <td colspan="3"></td>
        </tr>
      </tfoot>
    </table>

    <!-- Modal za dodavanje komentara i ocene -->
    <div v-if="selectedPurchaseForComment" class="modal">
      <div class="modal-content">
        <h3>Add Comment and Rating</h3>
        <div class="form-group">
          <label for="comment">Comment</label>
          <textarea v-model="selectedPurchaseForComment.comment" class="form-control" placeholder="Leave a comment"></textarea>
        </div>
        <div class="form-group">
          <label for="rating">Rating</label>
          <input v-model="selectedPurchaseForComment.rating" type="number" min="1" max="5" class="form-control" placeholder="Rate 1-5">
        </div>
        <div class="modal-buttons">
          <button class="custom-btn btn-6" @click="submitCommentAndRating">Submit</button>
          <button class="custom-btn btn-6-red" @click="closeCommentModal">Cancel</button>
        </div>
      </div>
    </div>

    <!-- Modal za menadžere -->
    <div v-if="selectedPurchaseForManager" class="modal">
      <div class="modal-content">
        <h3>Manage Purchase Status</h3>
        <div class="form-group">
          <label for="managerStatus">Status</label>
          <select v-model="selectedPurchaseForManager.status" class="form-control">
            <option value="Odobreno">Odobreno</option>
            <option value="Odbijeno">Odbijeno</option>
          </select>
        </div>
    
        <!-- Polje za komentar se prikazuje samo ako je status 'Odbijeno' -->
        <div class="form-group" v-if="selectedPurchaseForManager.status === 'Odbijeno'">
          <label for="managerComment">Reason for Rejection</label>
          <textarea v-model="selectedPurchaseForManager.comment" class="form-control" placeholder="Enter rejection reason"></textarea>
        </div>
    
        <div class="modal-buttons">
          <button class="custom-btn btn-6" @click="submitManagerStatusChange">Submit</button>
          <button class="custom-btn btn-6-red" @click="closeManagerModal">Cancel</button>
        </div>
      </div>
    </div>

    <!-- Modal za promenu statusa -->
    <div v-if="selectedPurchase" class="modal">
      <div class="modal-content">
        <h3>Edit Purchase Status</h3>
        <div class="form-group">
          <label for="status">Status</label>
          <select v-model="selectedPurchase.status" class="form-control">
            <option value="Obrada">Obrada</option>
            <option value="Otkazano">Otkazano</option>
          </select>
        </div>
        <div class="modal-buttons">
          <button class="custom-btn btn-6" @click="submitStatusChange">Submit</button>
          <button class="custom-btn btn-6-red" @click="closeModal">Cancel</button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'Purchases',
  data() {
    return {
      purchases: [],
      search: {
        factoryName: '',
        priceMin: '',
        priceMax: '',
        dateFrom: '',
        dateTo: ''
      },
      sortCriteria: 'date',
      sortOrder: 'asc',
      user: JSON.parse(localStorage.getItem('fulluser')),  // Preuzimamo informacije o korisniku iz localStorage
      selectedPurchase: null,
      selectedPurchaseForManager: null,  // Dodato za menadžere
      selectedPurchaseForComment: null,  // Dodato za komentar i ocenu
      isAddModalOpen: false,
      submitted: false,
      newPurchase: {
        chocolates: '',
        factory: '',
        dateTime: '',
        price: 0,
        buyer: '',
        status: 'Na čekanju',
        comment: '',
        rating: 0
      }
    };
  },
  computed: {
    filteredSortedPurchases() {
      let filtered = this.purchases;

      // Filtriramo kupovine prema ulozi korisnika
      if (this.user.role === 'Kupac') {
        // Kupac vidi samo svoje kupovine
        filtered = filtered.filter(purchase => purchase.buyer === this.user.username);
      } else if (this.user.role === 'Menadzer') {
        // Menadžer vidi samo kupovine iz fabrike za koju je zadužen
        filtered = filtered.filter(purchase => purchase.factory === this.user.chocolateFactory);
      }

      // Apply search filters (ako je potrebno)
      if (this.search.factoryName) {
        filtered = filtered.filter(purchase => 
          purchase.factory.toLowerCase().includes(this.search.factoryName.toLowerCase())
        );
      }
      if (this.search.priceMin) {
        filtered = filtered.filter(purchase => purchase.price >= this.search.priceMin);
      }
      if (this.search.priceMax) {
        filtered = filtered.filter(purchase => purchase.price <= this.search.priceMax);
      }
      if (this.search.dateFrom) {
        filtered = filtered.filter(purchase => new Date(purchase.dateTime) >= new Date(this.search.dateFrom));
      }
      if (this.search.dateTo) {
        filtered = filtered.filter(purchase => new Date(purchase.dateTime) <= new Date(this.search.dateTo));
      }

      // Apply sorting
      filtered = filtered.slice().sort((a, b) => {
        let sortVal = 0;
        if (this.sortCriteria === 'factoryName') {
          sortVal = a.factory.toLowerCase().localeCompare(b.factory.toLowerCase());
        } else if (this.sortCriteria === 'price') {
          sortVal = a.price - b.price;
        } else if (this.sortCriteria === 'date') {
          sortVal = new Date(a.dateTime) - new Date(b.dateTime);
        }

        if (this.sortOrder === 'desc') {
          sortVal *= -1;
        }
        return sortVal;
      });

      return filtered;
    },
    totalCalculatedPoints() {
      return this.filteredSortedPurchases.reduce((total, purchase) => {
       // parseFloat(points.toFixed(2));
        return parseFloat((total + purchase.calculatedPoints).toFixed(2));
      }, 0);
    },
    isManager() {
      return this.user.role === 'Menadzer';
    },
    isCustomer() {
      return this.user.role === 'Kupac';
    }
  },
  mounted() {
    this.fetchPurchases();
  },
  methods: {
    fetchPurchases() {
      axios.get('http://localhost:3000/purchases')
        .then(response => {
          this.purchases = response.data.map(purchase => {
            purchase.calculatedPoints = purchase.calculatedPoints || 0;
            return purchase;
          });
          this.filterPurchases();
        })
        .catch(error => {
          console.error("Error fetching purchases", error);
        });
    },
    filterPurchases() {
      // Trigger computed property
      this.filteredSortedPurchases;
    },
    openManagerModal(purchase) {
      this.selectedPurchaseForManager = { ...purchase };
    },
    closeManagerModal() {
      this.selectedPurchaseForManager = null;
    },
    submitManagerStatusChange() {
      if (this.selectedPurchaseForManager.status === 'Odbijeno' && !this.selectedPurchaseForManager.comment) {
        alert("You must provide a reason for rejection.");
        return;
      }

      axios.put(`http://localhost:3000/purchases/${this.selectedPurchaseForManager.id}`, this.selectedPurchaseForManager)
        .then(() => {
          this.closeManagerModal();
          this.fetchPurchases();
        })
        .catch(error => {
          console.error("Error updating purchase status", error);
        });
    },
    openCommentModal(purchase) {
      this.selectedPurchaseForComment = { ...purchase };
    },
    closeCommentModal() {
      this.selectedPurchaseForComment = null;
    },
    submitCommentAndRating() {
      axios.put(`http://localhost:3000/purchases/${this.selectedPurchaseForComment.id}`, this.selectedPurchaseForComment)
        .then(() => {
          this.closeCommentModal();
          this.fetchPurchases();
        })
        .catch(error => {
          console.error("Error submitting comment and rating", error);
        });
    },
    openEditStatusModal(purchase) {
      this.selectedPurchase = { ...purchase };
    },
    closeModal() {
      this.selectedPurchase = null;
    },
    submitStatusChange() {
      axios.put(`http://localhost:3000/purchases/${this.selectedPurchase.id}`, this.selectedPurchase)
        .then(response => {
          this.closeModal();
          this.fetchPurchases();
        })
        .catch(error => {
          console.error("Error updating purchase status", error);
        });
    },
    openAddModal() {
      this.isAddModalOpen = true;
      this.submitted = false;
    },
    closeAddModal() {
      this.isAddModalOpen = false;
    },
    addPurchase() {
      this.submitted = true;
      if (this.newPurchase.factory && this.newPurchase.chocolates && this.newPurchase.dateTime && this.newPurchase.price && this.newPurchase.buyer) {
        axios.post('http://localhost:3000/purchases', this.newPurchase)
          .then(response => {
            this.purchases.push(response.data);
            this.closeAddModal();
            this.filterPurchases();
          })
          .catch(error => {
            console.error("Error adding purchase", error);
          });
      }
    }
  }
};
</script>

<style scoped>
.container {
  background: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 20px rgba(0,0,0,0.1);
}

.d-flex {
  display: flex;
}

.justify-content-between {
  justify-content: space-between;
}

.align-items-center {
  align-items: center;
}

.mb-3 {
  margin-bottom: 1rem;
}

.search-filters {
  margin-bottom: 20px;
}

.search-filters input,
.search-filters select {
  margin-right: 10px;
  margin-bottom: 10px;
}

.table {
  margin-top: 20px;
}

.table th, .table td {
  vertical-align: middle;
}

/* Stil za modal */
.modal {
  display: flex; 
  justify-content: center; 
  align-items: center; 
  position: fixed; 
  z-index: 1050; 
  left: 0; 
  top: 0; 
  width: 100%; 
  height: 100%; 
  background-color: rgba(0, 0, 0, 0.5);
}

/* Stil za modal-dialog */
.modal-dialog {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh; /* Full height */
}

/* Stil za content modala sa animacijom */
.modal-content {
  background-color: #fff;
  position: relative;
  border-radius: 20px;
  padding: 20px;
  box-shadow: 0 0 60px rgba(251, 255, 12, 0.5); /* Blagi sjaj */
  animation: glow-animation 3s infinite alternate, modal-appear 0.5s ease-out;
  width: 70%; /* Smanjujemo širinu modala */
  max-width: 500px; /* Maksimalna širina da modal ne prelazi ovu vrednost */
}

/* Animacija za glowing box */
@keyframes glow-animation {
  from {
    box-shadow: 0 0 20px rgba(142, 61, 2, 0.5), 0 0 30px rgba(255, 186, 33, 0.5);
  }
  to {
    box-shadow: 0 0 40px rgba(255, 186, 33, 1), 0 0 60px rgba(255, 186, 33, 1);
  }
}

/* Animacija za pojavljivanje modala */
@keyframes modal-appear {
  from {
    opacity: 0;
    transform: scale(0.7);
  }
  to {
    opacity: 1;
    transform: scale(1);
  }
}

/* Dugme za zatvaranje */
.btn-close {
  background: none;
  border: none;
  color: #333;
  font-size: 1.5rem;
  cursor: pointer;
}

.btn-close:hover {
  color: rgba(255, 151, 0, 1);
}

/* Header, body i footer unutar modala */
.modal-header {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding: 1rem;
  border-bottom: 1px solid #dee2e6;
  border-top-left-radius: 0.3rem;
  border-top-right-radius: 0.3rem;
}

.modal-body {
  position: relative;
  flex: 1 1 auto;
  padding: 1rem;
}

.modal-footer {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding: 1rem;
  border-top: 1px solid #dee2e6;
  border-bottom-right-radius: 0.3rem;
  border-bottom-left-radius: 0.3rem;
}

.modal-content h3 {
  margin-top: 0;
}

.modal-buttons {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

.modal-buttons .btn {
  flex: 1;
  margin: 0 5px;
}

.form-group {
  margin-bottom: 15px;
}

.form-control {
  width: 100%;
  padding: 10px;
  border: 1px solid #ced4da;
  border-radius: 4px;
}

.text-danger {
  color: #dc3545;
  font-size: 0.875rem;
}

.has-error .form-control {
  border-color: #dc3545;
}

.btn-primary {
  background-color: #007bff;
  border-color: #007bff;
  color: #fff;
}

.btn-success {
  background-color: #28a745;
  border-color: #28a745;
  color: #fff;
}

.btn-danger {
  background-color: #dc3545;
  border-color: #dc3545;
  color: #fff;
}

.btn-secondary {
  background-color: #6c757d;
  border-color: #6c757d;
  color: #fff;
}

.display-4 {
  font-family: 'Lato', sans-serif; /* Promena fonta za moderniji izgled */
  font-size: 3rem; /* Povećavamo veličinu fonta */
  font-weight: 700; /* Bold */
  text-align: center; /* Centriranje teksta */
  color: #333; /* Tamno siva boja teksta */
  margin-bottom: 1.5rem; /* Razmak ispod naslova */
  text-transform: uppercase; /* Velika slova */
  letter-spacing: 2px; /* Proširenje razmaka između slova */
  position: relative; /* Omogućava upotrebu pseudo-elementa za liniju ispod */
}

.display-4::after {
  content: ''; 
  width: 1500px; /* Širina linije */
  height: 4px; /* Debljina linije */
  background-color: #ff7f00; /* Narandžasta linija ispod teksta */
  display: block;
  margin: 10px auto 0; /* Pozicionira liniju ispod teksta */
}

button {
  margin: 10px;
}
.custom-btn {
  width: 180px;
  height: 40px;
  color: #fff;
  border-radius: 5px;
  padding: 10px 25px;
  font-family: 'Lato', sans-serif;
  font-weight: 500;
  background: transparent;
  cursor: pointer;
  transition: all 1.0s ease;
  position: relative;
  display: inline-block;
  box-shadow: inset 2px 2px 2px 0px rgba(255,255,255,.5),
              7px 7px 20px 0px rgba(0,0,0,.1),
              4px 4px 5px 0px rgba(0,0,0,.1);
  outline: none;
}

/* 7 */
.btn-7 {
  background: linear-gradient(0deg, rgba(255,151,0,1) 0%, rgba(251,75,2,1) 100%);
  line-height: 42px;
  padding: 0;
  border: none;
}
.btn-7 span {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
}
.btn-7:before,
.btn-7:after {
  position: absolute;
  content: "";
  right: 0;
  bottom: 0;
  background: rgba(251,75,2,1);
  box-shadow: -7px -7px 20px 0px rgba(255,255,255,.9),
              -4px -4px 5px 0px rgba(255,255,255,.9),
              7px 7px 20px 0px rgba(0,0,0,.2),
              4px 4px 5px 0px rgba(0,0,0,.3);
  transition: all 0.3s ease;
}
.btn-7:before {
  height: 0%;
  width: 2px;
}
.btn-7:after {
  width: 0%;
  height: 2px;
}
.btn-7:hover {
  color: rgba(251,75,2,1);
  background: transparent;
}
.btn-7:hover:before {
  height: 100%;
}
.btn-7:hover:after {
  width: 100%;
}
.btn-7 span:before,
.btn-7 span:after {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  background: rgba(251,75,2,1);
  box-shadow: -7px -7px 20px 0px rgba(255,255,255,.9),
              -4px -4px 5px 0px rgba(255,255,255,.9),
              7px 7px 20px 0px rgba(0,0,0,.2),
              4px 4px 5px 0px rgba(0,0,0,.3);
  transition: all 0.3s ease;
}
.btn-7 span:before {
  width: 2px;
  height: 0%;
}
.btn-7 span:after {
  height: 2px;
  width: 0%;
}
.btn-7 span:hover:before {
  height: 100%;
}
.btn-7 span:hover:after {
  width: 100%;
}

/* 6 - Zeleno dugme */
.btn-6 {
  background: linear-gradient(0deg, rgb(42, 156, 43) 0%, rgb(81, 246, 4) 100%);
  line-height: 42px;
  padding: 0;
  border: none;
  color: white;
  border-radius: 5px;
  cursor: pointer;
  position: relative;
  display: inline-block;
  transition: all 0.3s ease;
}
.btn-6 span {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
}
.btn-6:before,
.btn-6:after {
  position: absolute;
  content: "";
  right: 0;
  bottom: 0;
  background: rgb(35, 251, 2);
  box-shadow: -7px -7px 20px 0px rgba(255,255,255,.9),
              -4px -4px 5px 0px rgba(255,255,255,.9),
              7px 7px 20px 0px rgba(0,0,0,.2),
              4px 4px 5px 0px rgba(0,0,0,.3);
  transition: all 0.3s ease;
}
.btn-6:before {
  height: 0%;
  width: 2px;
}
.btn-6:after {
  width: 0%;
  height: 2px;
}
.btn-6:hover {
  color: rgb(87, 198, 109);
  background: transparent;
}
.btn-6:hover:before {
  height: 100%;
}
.btn-6:hover:after {
  width: 100%;
}
.btn-6 span:before,
.btn-6 span:after {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  background: rgb(2, 251, 139);
  box-shadow: -7px -7px 20px 0px rgba(255,255,255,.9),
              -4px -4px 5px 0px rgba(255,255,255,.9),
              7px 7px 20px 0px rgba(0,0,0,.2),
              4px 4px 5px 0px rgba(0,0,0,.3);
  transition: all 0.3s ease;
}
.btn-6 span:before {
  width: 2px;
  height: 0%;
}
.btn-6 span:after {
  height: 2px;
  width: 0%;
}
.btn-6 span:hover:before {
  height: 100%;
}
.btn-6 span:hover:after {
  width: 100%;
}

/* 6 - Crveno dugme */
.btn-6-red {
  background: linear-gradient(0deg, rgb(220, 53, 69) 0%, rgb(255, 107, 114) 100%);
  line-height: 42px;
  padding: 0;
  border: none;
  color: white;
  border-radius: 5px;
  cursor: pointer;
  position: relative;
  display: inline-block;
  transition: all 0.3s ease;
}
.btn-6-red span {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
}
.btn-6-red:before,
.btn-6-red:after {
  position: absolute;
  content: "";
  right: 0;
  bottom: 0;
  background: rgb(255, 80, 80);
  box-shadow: -7px -7px 20px 0px rgba(255,255,255,.9),
              -4px -4px 5px 0px rgba(255,255,255,.9),
              7px 7px 20px 0px rgba(0,0,0,.2),
              4px 4px 5px 0px rgba(0,0,0,.3);
  transition: all 0.3s ease;
}
.btn-6-red:before {
  height: 0%;
  width: 2px;
}
.btn-6-red:after {
  width: 0%;
  height: 2px;
}
.btn-6-red:hover {
  color: rgb(255, 150, 150);
  background: transparent;
}
.btn-6-red:hover:before {
  height: 100%;
}
.btn-6-red:hover:after {
  width: 100%;
}
.btn-6-red span:before,
.btn-6-red span:after {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  background: rgb(255, 80, 80);
  box-shadow: -7px -7px 20px 0px rgba(255,255,255,.9),
              -4px -4px 5px 0px rgba(255,255,255,.9),
              7px 7px 20px 0px rgba(0,0,0,.2),
              4px 4px 5px 0px rgba(0,0,0,.3);
  transition: all 0.3s ease;
}
.btn-6-red span:before {
  width: 2px;
  height: 0%;
}
.btn-6-red span:after {
  height: 2px;
  width: 0%;
}
.btn-6-red span:hover:before {
  height: 100%;
}
.btn-6-red span:hover:after {
  width: 100%;
}

.table tbody tr:hover td {
  background-color: #f1c16a !important; /* Narandžasta boja */
  transition: background-color 1.0s ease; /* Glatka tranzicija boje */
  cursor: pointer;
}

.table tbody tr td {
  transition: background-color 0.3s ease; /* Glatka tranzicija boje */
}

.search-filters {
  padding: 20px;
  background-color: #f8f9fa; /* Svijetlo siva pozadina */
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1); /* Blaga senka */
  margin-bottom: 20px;
}

.search-filters input,
.search-filters select {
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  font-size: 1rem;
  margin-bottom: 10px; /* Razmak između elemenata */
}

.search-filters input::placeholder {
  color: #aaa; /* Blaga boja za placeholder */
}

.search-filters select {
  background-color: #fff; /* Belo pozadina za dropdown */
}

.search-filters .form-control {
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1); /* Blaga unutrašnja senka */
}

@media (max-width: 768px) {
  .search-filters {
    padding: 10px;
  }
  .search-filters .form-control {
    font-size: 0.9rem;
  }
}

tfoot tr {
  font-size: 1.25rem; /* Povećaj veličinu fonta */
  font-weight: bold; /* Bold slova */
  color: #333; /* Tamno siva boja za tekst */
  text-align: right; /* Desna strana poravnanja */
}

tfoot td {
  padding-top: 10px;
  padding-bottom: 10px;
}

tfoot td:last-child {
  text-align: left; /* Poravnaj vrednost na levu stranu */
  color: #ff7f00; /* Boja za vrednost bodova */
  font-size: 1.5rem; /* Veća veličina fonta za vrednost bodova */
  font-weight: bold;
}



</style>
